{
  "name": "farmmaps-lib-app",
  "version": "4.12.1",
  "scripts":   {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "eslint -c .eslintrc.js --ext .ts",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies":   {
    "@angular-eslint/eslint-plugin": "^18.2.0",
    "@angular/animations": "18.2.3",
    "@angular/common": "18.2.3",
    "@angular/compiler": "18.2.3",
    "@angular/core": "18.2.3",
    "@angular/forms": "18.2.3",
    "@angular/platform-browser": "18.2.3",
    "@angular/platform-browser-dynamic": "18.2.3",
    "@angular/router": "18.2.3",
    "@farmmaps/common": "file:dist/common",
    "@farmmaps/common-map": "file:dist/common-map",
    "@farmmaps/common-map3d": "file:dist/common-map3d",
    "@farmmaps/ng-openlayers": "file:dist/ng-openlayers",
    "@microsoft/signalr": "^3.1.16",
    "@ng-bootstrap/ng-bootstrap": "^17.0.1",
    "@ngrx/effects": "^18.0.2",
    "@ngrx/router-store": "^18.0.2",
    "@ngrx/store": "^18.0.2",
    "@popperjs/core": "^2.11.8",
    "angular-oauth2-oidc": "^17.0.2",
    "assert": "^2.0.0",
    "bootstrap": "^5.3.3",
    "browserify-zlib": "^0.2.0",
    "buffer": "^6.0.3",
    "cesium": "^1.97.0",
    "core-js": "^2.6.12",
    "https-browserify": "^1.0.0",
    "moment": "^2.29.4",
    "ngrx-store-localstorage": "^18.0.0",
    "ngx-avatars": "^1.8.0",
    "ngx-clipboard": "^16.0.0",
    "ngx-image-cropper": "^7.0.0",
    "ngx-uploadx": "^6.2.0",
    "ol": "^8.2.0",
    "olcs": "^2.13.1",
    "resumablejs": "^1.1.0",
    "rxjs": "^7.8.1",
    "stream": "^0.0.2",
    "stream-http": "^3.2.0",
    "tassign": "^1.0.0",
    "tslib": "^2.4.0",
    "url": "^0.11.0",
    "util": "^0.12.4",
    "zone.js": "~0.14.10"
  },
  "optionalDependencies":   {
    "@lmdb/lmdb-linux-x64": "^3.1.0",
    "@rollup/rollup-linux-x64-gnu": "^4.21.2"
  },
  "devDependencies":   {
    "@angular-builders/custom-webpack": "^18.0.0",
    "@angular-devkit/build-angular": "18.2.3",
    "@angular/cli": "18.2.3",
    "@angular/compiler-cli": "18.2.3",
    "@angular/language-service": "18.2.3",
    "@angular/localize": "18.2.3",
    "@types/arcgis-rest-api": "^10.4.5",
    "@types/jasmine": "~2.8.8",
    "@types/jasminewd2": "^2.0.9",
    "@types/node": "^22.5.4",
    "@typescript-eslint/eslint-plugin": "^6.18.0",
    "@typescript-eslint/eslint-plugin-tslint": "^6.18.0",
    "@typescript-eslint/parser": "^6.18.0",
    "codelyzer": "^6.0.2",
    "eslint": "^8.35.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-import": "^2.27.5",
    "jasmine-core": "^4.3.0",
    "jasmine-spec-reporter": "^7.0.0",
    "karma": "^6.3.20",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage-istanbul-reporter": "^3.0.3",
    "karma-jasmine": "^5.1.0",
    "karma-jasmine-html-reporter": "^2.0.0",
    "ng-packagr": "^18.2.1",
    "protractor": "~7.0.0",
    "ts-node": "^8.8.1",
    "typescript": "~5.4.4"
  }
}